aboutsummaryrefslogtreecommitdiffstats
path: root/core/entrypoint.sh
diff options
context:
space:
mode:
Diffstat (limited to 'core/entrypoint.sh')
-rw-r--r--core/entrypoint.sh7
1 files changed, 4 insertions, 3 deletions
diff --git a/core/entrypoint.sh b/core/entrypoint.sh
index 23dc9d9..5596bbd 100644
--- a/core/entrypoint.sh
+++ b/core/entrypoint.sh
@@ -92,10 +92,11 @@ EOF
while :; do
checkurl=$(curl --socks5 "localhost:${TOR_PORT:-9050}" -o /dev/null -s -w "%{http_code}\n" "${URL_CHECK:-https://www.youtube.com/results?search_query=rms}")
if [ "$checkurl" = '502' ] || [ "$checkurl" = '302' ]; then
- pkill tor && tor -f /etc/tor/torrc --runasdaemon 1 2>&1
- pkill python3 && /usr/bin/python3 /srv/app/server.py
+ pkill tor && tor -f /etc/tor/torrc --runasdaemon 1
+ pkill python3 || true
+ /usr/bin/python3 /srv/app/server.py || true
else
- pgrep python3 > /dev/null || exec /usr/bin/python3 /srv/app/server.py
+ pgrep python3 > /dev/null || /usr/bin/python3 /srv/app/server.py
fi
sleep 5
done